public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/commonmark/
Date: Thu, 18 Oct 2018 16:39:42 +0000 (UTC)	[thread overview]
Message-ID: <1539880774.94678f1f004f26d6a0ae006433a9eadf841532ea.mgorny@gentoo> (raw)

commit:     94678f1f004f26d6a0ae006433a9eadf841532ea
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 18 16:17:12 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 18 16:39:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94678f1f

dev-python/commonmark: Bump to 0.8.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/commonmark/Manifest                |  1 +
 dev-python/commonmark/commonmark-0.8.1.ebuild | 43 +++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/commonmark/Manifest b/dev-python/commonmark/Manifest
index 5c0753d322e..bfc2e44e1c6 100644
--- a/dev-python/commonmark/Manifest
+++ b/dev-python/commonmark/Manifest
@@ -1,2 +1,3 @@
 DIST CommonMark-0.5.4.tar.gz 120316 BLAKE2B 47904d101d9d0e3759f82c28a4b80edfc0ed12cf0888e4915339118e496322cf0791d8a46d2edddca0d1794e82a9647cc22cbcfcc2d385a740c7c31cb8251659 SHA512 1983714a50a627f30f86af0d02dad9e52cb7b0ffce29691d0e740f587e599ead6de2412d72b895b7df772e1c81e171e56dfecaf593e611af65bd5798632a98ad
 DIST CommonMark-0.7.5.tar.gz 88702 BLAKE2B fc80d9e739d27f7e5dbf539b624c2fc2e700e61b17d0335c3234fc0fa0d3738e9117a8ca29e7a6bbaa6cd0d58b112defb6e19a7efce3ca57ca25c8ce67b2d3d2 SHA512 b0e3c4fea6c99b51c541054ecfe887935c2cc517a82df86da1d9cb4914189652326ec5b543cbbcb40ec43e5e09c285c47f5304ca1907764692e659c540591bdd
+DIST commonmark-0.8.1.tar.gz 90795 BLAKE2B 718c2b1af035672d74e2c6b6f89ea0cd23f45d7b0e47b6dadeef742d772f5458e08ec5f69fd4f34df9ab2c491d9d7add4c4acc7018c4048649aa0d8244d7db91 SHA512 dbab51d45c1973a8d0906148d785fb8ddc2b52177dfe0e69fe79bef2a5eb05a5a7ab8693852f4aaa8545af19d741569d04a24f06ea65171e6e80d9f66af47fdf

diff --git a/dev-python/commonmark/commonmark-0.8.1.ebuild b/dev-python/commonmark/commonmark-0.8.1.ebuild
new file mode 100644
index 00000000000..68e34aca47d
--- /dev/null
+++ b/dev-python/commonmark/commonmark-0.8.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python parser for the CommonMark Markdown spec"
+HOMEPAGE="https://github.com/rtfd/CommonMark-py"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+	dev-python/future[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	test? (
+		>=dev-python/hypothesis-3.7.1[${PYTHON_USEDEP}]
+	)
+	dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+python_test() {
+	PYTHONIOENCODING='utf8' \
+	esetup.py test
+}
+
+src_prepare() {
+	default
+	# Fix file collision with app-text/cmark, see bug #627034
+	sed -i -e "s:'cmark\( = commonmark.cmark\:main'\):'cmark.py\1:" \
+		setup.py || die
+}
+
+pkg_postinst() {
+	ewarn "/usr/bin/cmark has been renamed to /usr/bin/cmark.py due file"
+	ewarn "collision with app-text/cmark (see bug #627034)"
+}


             reply	other threads:[~2018-10-18 16:39 UTC|newest]

Thread overview: 60+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-18 16:39 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-18 16:57 [gentoo-commits] repo/gentoo:master commit in: dev-python/commonmark/ Michał Górny
2024-05-17 17:03 Michał Górny
2023-05-27  9:44 Arthur Zamarin
2023-03-16  3:47 Michał Górny
2022-06-12 14:25 Michał Górny
2022-06-12 11:53 Sam James
2022-06-12  5:51 Michał Górny
2022-05-11 17:54 Michał Górny
2022-05-11 17:54 Michał Górny
2022-05-11 12:56 Jakov Smolić
2022-04-25 16:50 Sam James
2022-02-01 13:46 Michał Górny
2022-02-01 13:46 Michał Górny
2022-01-27 19:05 Sam James
2022-01-02 11:52 James Le Cuirot
2021-07-01 14:06 Marek Szuba
2021-05-06 18:45 Michał Górny
2020-11-01  7:52 Michał Górny
2020-05-14 10:38 Michał Górny
2020-05-11 15:32 Mart Raudsepp
2020-05-11  9:44 Agostino Sarubbo
2020-05-05  6:46 Agostino Sarubbo
2020-05-04 10:48 Michał Górny
2020-05-03 19:11 Agostino Sarubbo
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 10:12 Agostino Sarubbo
2020-03-24 21:46 Michał Górny
2020-03-24 21:46 Michał Górny
2019-04-09  1:32 Aaron Bauman
2019-03-16 18:40 Sergei Trofimovich
2019-03-02 21:30 Matt Turner
2019-03-02 20:02 Matt Turner
2019-02-15 17:05 Mikle Kolyada
2019-02-15 15:46 Thomas Deutschmann
2019-02-13 12:46 Michał Górny
2019-02-12 21:03 Sergei Trofimovich
2019-02-12  8:11 Sergei Trofimovich
2019-02-11 23:36 Sergei Trofimovich
2019-02-10  7:46 Mikle Kolyada
2018-11-28 22:16 Matt Turner
2018-11-25 10:27 Mikle Kolyada
2018-11-06 23:11 Sergei Trofimovich
2018-10-28 10:19 Sergei Trofimovich
2018-10-18 16:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/CommonMark/ Michał Górny
2018-10-18 16:39 Michał Górny
2018-10-18 16:39 Michał Górny
2018-10-18  4:32 Matt Turner
2018-10-18  4:32 Matt Turner
2018-08-31  8:35 Michał Górny
2018-08-31  8:35 Michał Górny
2018-06-30 19:31 Mart Raudsepp
2018-06-30 19:30 Mart Raudsepp
2018-03-19  6:04 Tim Harder
2017-09-30  0:31 Matt Thode
2017-09-22 14:01 Patrice Clement
2017-08-01 20:06 Michał Górny
2017-07-15 16:22 Tobias Klausmann
2017-04-28 14:30 Manuel Rüger
2017-01-02 16:13 Sebastien Fabbro

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1539880774.94678f1f004f26d6a0ae006433a9eadf841532ea.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox